Update attachment origin
Server:
https://{kibana_url}
- PUT /api/agent_builder/conversations/{conversation_id}/attachments/{attachment_id}/origin
- PUT /s/{space_id}/api/agent_builder/conversations/{conversation_id}/attachments/{attachment_id}/origin
Refer to Spaces for more information.
Update the origin reference for an attachment. Use this after saving a by-value attachment to link it to its persistent store.
[Required authorization] Route required privileges: agentBuilder:read.
Path Parameters
-
conversation_idstringrequired -
The unique identifier of the conversation.
-
attachment_idstringrequired -
The unique identifier of the attachment to update.
Request
-
originstringrequired -
The origin string (e.g., saved object ID for visualizations and dashboards).
Response
200
application/json
Indicates a successful response